[Overview][Resource strings][Constants][Types][Classes][Index] | Reference for unit 'resource' (#fcl-res)

# TAbstractResourceReader.SetRawData

Protected method to let a reader set a resource RawData property

## Declaration

Source position: resource.pp line 290

`protected procedure TAbstractResourceReader.SetRawData(`
`aResource: TAbstractResource;`
`aStream: TStream`
`);`

## Arguments

`aResource` |  | The resource whose RawData property must be set
`aStream` |  | The value to set the property to

## Description

This method allows a descendant class to set RawData property of a resource that is being loaded.

## See also

TAbstractResourceReader.SetDataSize |  | Protected method to let a reader set a resource DataSize property
TAbstractResourceReader.SetHeaderSize |  | Protected method to let a reader set a resource HeaderSize property
TAbstractResourceReader.SetDataOffset |  | Protected method to let a reader set a resource DataOffset property